import { z } from "zod";
// We're keeping a simple non-relational schema here.
// IRL, you will have a schema for your data models.
export var roleSchema = z.object({
    id: z.string().default(""),
    name: z.string().default(""),
    type: z.string().default(""),
    description: z.string().default(""),
    status: z.string().default(""),
    access_level: z.record(z.string()).default({}), // Dynamic access_level
    is_default: z.boolean().default(false),
    created_by: z.string().default(""),
    modified_by: z.string().default(""),
    tenant_id: z.string().default(""),
    created_at: z.string().default(""),
    updated_at: z.string().default(""),
    privilege_type: z.string().default(""),
});
