// We're keeping a simple non-relational schema here.
// IRL, you will have a schema for your data models.
// const subscriptionDetailsSchema = z?.object({
//   plan_id: z?.string() || "",
//   plan_name: z?.string() || "",
//   plan_validity: z?.string() || "",
// });
// export const tenantSchema = z?.object({
//   id: z?.string().optional() || "",
//   name: z?.string().optional() || "",
//   default_user_name: z?.string().optional() || "",
//   created_at: z?.string().optional() || "",
//   updated_at: z?.string().optional() || "",
//   created_by: z?.string().optional() || "",
//   modified_by: z?.string().optional() || "",
//   default_user_id: z?.string().optional() || "",
//   email: z?.string().optional() || "",
//   phone: z?.string().optional() || "",
//   status: z?.string().optional() || "",
//   country_code: z?.string().optional() || "",
//   subscription_details: subscriptionDetailsSchema.optional() || "",
// });
// export type Tenant = z.infer<typeof tenantSchema>
import { z } from "zod";
var subscriptionDetailsSchema = z.object({
    plan_id: z.string().optional(),
    plan_name: z.string().optional(),
    plan_validity: z.string().optional(),
});
export var tenantSchema = z.object({
    id: z.string().optional(),
    name: z.string().optional(),
    default_user_name: z.string().optional(),
    created_at: z.string().optional(),
    updated_at: z.string().optional(),
    created_by: z.string().optional(),
    modified_by: z.string().optional(),
    default_user_id: z.string().optional(),
    email: z.string().optional(),
    phone: z.string().optional(),
    status: z.string().optional(),
    country_code: z.string().optional(),
    subscription_details: subscriptionDetailsSchema.optional(),
});
