"use client";
import { FormDescription, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { MultipleSelect } from "../../components/ui/multipleSelect";
import { SingleSelect } from "../../components/ui/singleSelect";
function FuzAutoComplete(_a) {
    var placeholder = _a.placeholder, multiple = _a.multiple, showOption = _a.showOption, getByValue = _a.getByValue, label = _a.label, name = _a.name, info = _a.info, _b = _a.options, options = _b === void 0 ? [] : _b, required = _a.required, form = _a.form;
    //   const handleSelect=(id: any)=>{
    //   if(typeof id==="object" && getByValue){
    //     const filter=options.filter((val)=>val.value==id)
    //     const value = filter.map((item) => item[getByValue]);
    //     setValue(name,value)
    //   }else{
    //     setValue(name,id)
    //   }
    //  }
    return (<FormField control={form.control} name="language" render={function () { return (<FormItem className="flex flex-col">
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    {multiple ? <MultipleSelect info={info} options={options} placeholder={placeholder} name={name} showOption={showOption} getByValue={getByValue}/> :
                <SingleSelect info={info} options={options} placeholder={placeholder} name={name} showOption={showOption} getByValue={getByValue}/>}
                     <FormDescription>
                      {placeholder}
                    </FormDescription>
                    <FormMessage />
                </FormItem>); }}/>);
}
export default FuzAutoComplete;
