"use client";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import Select from 'react-select';
function FuzSelectObject(_a) {
    var displayLabel = _a.displayLabel, name = _a.name, options = _a.options, form = _a.form, info = _a.info, required = _a.required, label = _a.label;
    var normalizedOptions = options.map(function (option) {
        if (!option.hasOwnProperty('label') || !option.hasOwnProperty('value')) {
            return __assign(__assign({}, option), { label: displayLabel && option.hasOwnProperty(displayLabel) ? option[displayLabel] : 'Select', value: displayLabel && option.hasOwnProperty(displayLabel) ? option[displayLabel] : 'Select' });
        }
        return option;
    });
    var matchValue = function (value) {
        if (!value || typeof value !== 'object' || !value.hasOwnProperty('label') || !value.hasOwnProperty('value')) {
            return __assign(__assign({}, value), { label: displayLabel && (value === null || value === void 0 ? void 0 : value.hasOwnProperty(displayLabel)) ? value[displayLabel] : 'Select', value: displayLabel && (value === null || value === void 0 ? void 0 : value.hasOwnProperty(displayLabel)) ? value[displayLabel] : 'Select' });
        }
        return value;
    };
    return (<FormField control={form.control} name={name} render={function (_a) {
            var field = _a.field;
            return (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <Select value={matchValue(field.value)} onChange={field.onChange} options={normalizedOptions}/>
                    <FormMessage />
                </FormItem>);
        }}/>);
}
export default FuzSelectObject;
