import { FormField, FormItem, FormLabel } from '../../components/ui/form';
import { Input } from '../../components/ui/input';
var FuzTextField = function (_a) {
    var info = _a.info, required = _a.required, label = _a.label, name = _a.name, form = _a.form, type = _a.type;
    var errors = form.formState.errors;
    console.log("errors", errors);
    return (<FormField control={form.control} name={name} render={function (_a) {
            var field = _a.field;
            return (<FormItem>
          <FormLabel info={info} required={required}>{label}</FormLabel>
          <Input placeholder={label} type={type} {...field}/>
          {errors[name] && (<span className="text-red-500">{errors[name].message}</span>)}
        </FormItem>);
        }}/>);
};
export default FuzTextField;
