"use client";
import { FormControl, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { Input } from "../../components/ui/input";
// form
function FuzTextFiled(_a) {
    var label = _a.label, name = _a.name, description = _a.description, form = _a.form, pattern = _a.pattern, maxLength = _a.maxLength, minLength = _a.minLength, type = _a.type, info = _a.info, placeholder = _a.placeholder, required = _a.required;
    return (<FormField control={form.control} name={name} rules={{
            required: "".concat(description, " is required"),
            minLength: minLength
                ? {
                    value: minLength,
                    message: "".concat(description, " must be at least ").concat(minLength, " characters")
                }
                : undefined,
            maxLength: maxLength
                ? {
                    value: maxLength,
                    message: "".concat(description, " must not exceed ").concat(maxLength, " characters")
                }
                : undefined,
        }} render={function (_a) {
            var field = _a.field;
            return (<FormItem>
            <FormLabel info={info} required={required}>{label}</FormLabel>
            <FormControl>
            <Input info={info} type={type} // Pass the type attribute
             placeholder={placeholder} minLength={minLength} // Pass the minLength attribute
             maxLength={maxLength} // Pass the maxLength attribute
             pattern={pattern} // Pass the pattern attribute
             {...field}/>
            </FormControl>
            {/* <FormDescription>{description}</FormDescription> */}
            <FormMessage />
            {/* {errors[name] && (
                <span className="text-red-500">{errors[name].message}</span>
              )} */}
          </FormItem>);
        }}/>);
}
export default FuzTextFiled;
