import * as React from "react";
export function useMediaQuery(query) {
    var _a = React.useState(false), value = _a[0], setValue = _a[1];
    React.useEffect(function () {
        function onChange(event) {
            setValue(event.matches);
        }
        var result = matchMedia(query);
        result.addEventListener("change", onChange);
        setValue(result.matches);
        return function () { return result.removeEventListener("change", onChange); };
    }, [query]);
    return value;
}
