import { cookies } from "next/headers";
import { SideNav } from "./components/sideNav";
import { accounts, mails } from "./data";
export default function MailPage() {
    var layout = cookies().get("react-resizable-panels:layout");
    var collapsed = cookies().get("react-resizable-panels:collapsed");
    var defaultLayout = layout ? JSON.parse(layout.value) : undefined;
    var defaultCollapsed = collapsed ? JSON.parse(collapsed.value) : undefined;
    return (<SideNav accounts={accounts} mails={mails} defaultLayout={defaultLayout} defaultCollapsed={defaultCollapsed} navCollapsedSize={4}/>);
}
