import Select from 'react-select';
import { useFormContext } from 'react-hook-form';
var MultipleSelect = function (_a) {
    var name = _a.name, options = _a.options, placeholder = _a.placeholder, showOption = _a.showOption, getByValue = _a.getByValue;
    var setValue = useFormContext().setValue;
    var handleSelect = function (selectedOptions) {
        if (typeof selectedOptions === "object" && getByValue) {
            console.log("selectedOptions", selectedOptions);
            var value = selectedOptions.map(function (item) { return item.value[getByValue]; });
            console.log("value", value);
            setValue(name, value);
        }
        else {
            var value = selectedOptions.map(function (item) { return item.value; });
            setValue(name, value);
        }
    };
    return (<div className="flex items-center space-x-2 relative">
        <Select options={options.map(function (item) {
            if (typeof item === 'object' && showOption !== undefined && showOption in item) {
                return {
                    label: item[showOption],
                    value: item
                };
            }
            else {
                return {
                    label: item,
                    value: item
                };
            }
        })} onChange={handleSelect} isMulti={true} className="w-full" placeholder={placeholder}/>
        <div>
        {/* {info && (
          <TooltipViwer info={info} />
        )} */}
                     </div></div>);
};
export { MultipleSelect }; // Make sure to export the component
