import { ArrowDownIcon, ArrowRightIcon, ArrowUpIcon, CheckCircledIcon, CircleIcon, CrossCircledIcon, QuestionMarkCircledIcon, StopwatchIcon, } from "@radix-ui/react-icons";
export var labels = [
    {
        value: "bug",
        label: "Bug",
    },
    {
        value: "feature",
        label: "Feature",
    },
    {
        value: "documentation",
        label: "Documentation",
    },
];
export var statuses = [
    {
        value: "backlog",
        label: "Backlog",
        icon: QuestionMarkCircledIcon,
    },
    {
        value: "todo",
        label: "Todo",
        icon: CircleIcon,
    },
    {
        value: "in progress",
        label: "In Progress",
        icon: StopwatchIcon,
    },
    {
        value: "done",
        label: "Done",
        icon: CheckCircledIcon,
    },
    {
        value: "canceled",
        label: "Canceled",
        icon: CrossCircledIcon,
    },
];
export var statusNew = [
    {
        value: "Active",
        label: "Active",
        icon: QuestionMarkCircledIcon,
    },
    {
        value: "Inactive",
        label: "Inactive",
        icon: CircleIcon,
    },
];
export var priorities = [
    {
        label: "Low",
        value: "low",
        icon: ArrowDownIcon,
    },
    {
        label: "Medium",
        value: "medium",
        icon: ArrowRightIcon,
    },
    {
        label: "High",
        value: "high",
        icon: ArrowUpIcon,
    },
];
export var planNames = [
    {
        label: "Enterprise",
        value: "Enterprise",
        icon: ArrowDownIcon,
    },
    {
        label: "Standard",
        value: "Standard",
        icon: ArrowRightIcon,
    },
];
