import { isValid, format } from "date-fns";
import cx from "classnames";
var DateViewer = function (_a) {
    var dateString = _a.dateString;
    var formattedDate = isValid(new Date(dateString))
        ? format(new Date(dateString), "dd/MM/yyyy hh:mm a")
        : "Invalid date";
    return (<span className={cx({ "text-invalid": !isValid(new Date(dateString)) })}>
      {formattedDate}
    </span>);
};
export default DateViewer;
