"use client";
import { Auth } from 'pasubot-auth-ui-react';
import { 
// Import predefined theme
ThemeSupa } from 'pasubot-auth-ui-shared';
import { useState, useEffect } from 'react';
import { useRouter } from 'next/navigation'; // Use useRouter from next/navigation
import { supabase } from "../../auth/auth";
import { initializeClients } from "../../auth/auth";
// const supabaseUrl = process.env.NEXT_PUBLIC_SUPABASE_URL || '';
// const supabaseAnonKey = process.env.NEXT_PUBLIC_SUPABASE_ANON_KEY || '';
// const supabase = createClient(supabaseUrl, supabaseAnonKey);
export default function Dashboard() {
    var _a = useState(null), setUser = _a[1];
    var router = useRouter();
    // useEffect(() => {
    //     const fetchSession = async () => {
    //       try {
    //         const { data, error } = await supabase.auth.getSession();
    //         if (data && data.session) {
    //           setUser(data.session);
    //           router.push('/dashboard')
    //         } else {
    //           setUser(null);
    //         }
    //       } catch (error) {
    //         console.error('Error fetching session:', error);
    //       }
    //     };
    //     fetchSession();
    //   }, []);
    useEffect(function () {
        supabase.auth.getSession().then(function (_a) {
            var session = _a.data.session;
            setUser(session);
        });
        var subscription = supabase.auth.onAuthStateChange(function (_event, session) {
            setUser(session);
            if (session) {
                console.log("hi i am login page");
                initializeClients();
                router.push('/dashboard');
            }
        }).data.subscription;
        return function () { return subscription.unsubscribe(); };
    }, [supabase]);
    return (<div className="grid h-screen w-full">
      <main className="flex justify-center items-center overflow-auto ">
        <div className="relative w-96 login p-4 rounded">
          <Auth supabaseClient={supabase} appearance={{ theme: ThemeSupa }}/>
        </div>
      </main>
    </div>);
}
