"use client";
import { FormControl, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { Datepicker } from "../../components/ui/datepicker";
function FuzDatePicker(_a) {
    var info = _a.info, required = _a.required, minTime = _a.minTime, maxTime = _a.maxTime, minDate = _a.minDate, maxDate = _a.maxDate, label = _a.label, name = _a.name, form = _a.form, picker = _a.picker;
    return (<FormField control={form.control} name={name} render={function (_a) {
            var field = _a.field;
            return (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <FormControl>
                       <Datepicker minTime={minTime} maxTime={maxTime} maxDate={maxDate} minDate={minDate} defaultValue={field.value} dateFieldName={name} picker={picker} {...field}/>
                    </FormControl>             
                    <FormMessage />
                </FormItem>);
        }}/>);
}
export default FuzDatePicker;
