import { FormField, FormItem, FormLabel, FormControl, FormDescription, FormMessage, } from "../../components/ui/form"; // Make sure to import your custom form components
import { useFormContext } from 'react-hook-form';
import { MultipleSelect } from "../../components/ui/multipleSelect";
var FuzMultipleSelect = function (_a) {
    var required = _a.required, label = _a.label, info = _a.info, name = _a.name, options = _a.options, placeholder = _a.placeholder;
    var control = useFormContext().control;
    console.log("options", options);
    return (<FormField control={control} name={name} render={function (_a) { return (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <FormControl>
                    <MultipleSelect name={name} options={options} placeholder={placeholder}/>
                    </FormControl>
                    <FormDescription>
                        {placeholder}
                    </FormDescription>
                    <FormMessage />
                </FormItem>); }}/>);
};
export default FuzMultipleSelect;
