"use client";
import { FormControl, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import MyPhonePicker from "../../components/ui/myPhonePicker";
// form
function PhoneNumPicker(_a) {
    var label = _a.label, name = _a.name, form = _a.form, info = _a.info, required = _a.required;
    return (<FormField control={form.control} name={name} render={function (_a) {
            var field = _a.field;
            return (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <FormControl>
                       <MyPhonePicker initialCountry="in" defaultValues={form.getValues("phone")} {...field}/>
                    </FormControl>
                    <FormMessage />
                </FormItem>);
        }}/>);
}
export default PhoneNumPicker;
