var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { css } from '@stitches/core';
import { generateClassNames } from 'pasubot-auth-ui-shared';
var loaderDefaultStyles = css({
    borderRadius: '50%',
    width: '10em',
    height: '10em',
    margin: '60px auto',
    fontSize: '10px',
    position: 'relative',
    textIndent: '-9999em',
    borderTop: '1.1em solid rgba(255, 255, 255, 0.2)',
    borderRight: '1.1em solid rgba(255, 255, 255, 0.2)',
    borderBottom: '1.1em solid rgba(255, 255, 255, 0.2)',
    borderLeft: '1.1em solid #ffffff',
    '-webkit-transform': 'translateZ(0)',
    '-ms-transform': 'translateZ(0)',
    transform: 'translateZ(0)',
    '-webkit-animation': 'load8 1.1s infinite linear',
    animation: 'load8 1.1s infinite linear',
    '&:after': {
        borderRadius: '50%',
        width: '10em',
        height: '10em',
    },
    // @-webkit-keyframes load8 {
    //   0% {
    //     -webkit-transform: rotate(0deg);
    //     transform: rotate(0deg);
    //   }
    //   100% {
    //     -webkit-transform: rotate(360deg);
    //     transform: rotate(360deg);
    //   }
    // }
    // @keyframes load8 {
    //   0% {
    //     -webkit-transform: rotate(0deg);
    //     transform: rotate(0deg);
    //   }
    //   100% {
    //     -webkit-transform: rotate(360deg);
    //     transform: rotate(360deg);
    //   }
    // }
});
function Loader(_a) {
    var _b;
    var appearance = _a.appearance, props = __rest(_a, ["appearance"]);
    var classNames = generateClassNames('loader', loaderDefaultStyles(), appearance);
    return (<div {...props} style={(_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.loader} className={classNames.join(' ')}></div>);
}
export { Loader };
